{: test that string assignment causes a compilation error
   if the rhs is not a string}

program e1072( output );

type
   str = packed array[1..10] of char;

var
   s  : str;
   s1 : array[1..10] of char;

begin { e1072 }
   s := '1234';
   s := s1; {!!! not a string}
end. { e1072 }

